#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Autoformat
Summary:	Text::Autoformat - automatic text wrapping and reformatting
Summary(pl.UTF-8):	Text::Autoformat - automatyczne zawijanie i reformatowanie tekstu
Name:		perl-Text-Autoformat
Version:	1.669004
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/DCONWAY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7a7881ca625fa71e551c1f43910f2865
URL:		http://search.cpan.org/dist/Text-Autoformat/
BuildRequires:	perl-Text-Reform >= 1.11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Text-Reform >= 1.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Autoformat provides intelligent formatting of plaintext without
the need for any kind of embedded mark-up. The module recognizes
Internet quoting conventions, a wide range of bulleting and number
schemes, centred text, and block quotations, and reformats each
appropriately. Other options allow the user to adjust inter-word and
inter-paragraph spacing, justify text, and impose various
capitalization schemes.

%description -l pl.UTF-8
Text::Autoformat udostępnia inteligentne formatowanie czystego tekstu
bez potrzeby jakichkolwiek znaczników. Moduł rozpoznaje internetowe
konwencje cytowania, szeroki zasób wyliczeń i wiele schematów, tekst
centrowany, cytaty blokowe - i każdy z nich odpowiednio reformatuje.
Inne opcje pozwalają użytkownikowi regulować odstępy między słowami
i między akapitami, justować tekst i stosować różne schematy wielkości
liter.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/Autoformat.pm
%{_mandir}/man3/Text::Autoformat.3pm*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Autoformat.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 43b5685
- up to 1.669004

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 53ef918
- added generic URL

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8024bcc
- up to 1.669002

* Thu Feb 24 2011 Jakub Bogusz <qboosh@pld-linux.org> e049bb4
- updated to 1.669001

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 56dbb25
- updated to 1.666.0

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ff07222
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 282cd99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 146fad7
- converted to UTF-8

* Tue Jun 14 2005 petec <petec@pld-linux.org> 2bf400a
- up to 1.13

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 18c8de0
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> bf67983
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 2cc8263
- new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> c107452
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 24634c8
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jun 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 466d3e5
- fixed License, tests on bcond, BR: perl-Text-Reform (from RA-branch)
- up to 1.12

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c5b56ff
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ab8061a
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Apr 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 2fbb0df
- typo

* Fri Apr 11 2003 radek <radek@pld-linux.org> 65d53eb
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 617043a
- should be ready for perl-5.8.0; release++

